drop proc SH_FLAGENVIOTRAN
go
create proc SH_FLAGENVIOTRAN
@TABLE ud_descripcion,
@SITEID UD_IDSITE,
@IDTABLE ud_TABLEID,
@fechaproceso VARCHAR(20),
@usuario ud_userid,
@CAMPOFECHA UD_DESCRIPCION,
@filename UD_DESCRIPCION
as

declare @cadena VARCHAR(1000)
begin tran

set @cadena='update '+@table +' set stksend=1 where ' +@CAMPOFECHA +"='"+@fechaproceso +"'"

--SELECT @cadena
exec (@cadena)

 IF (@@error!=0)
    BEGIN
        RAISERROR  20001 'no se puede actualizar flags de envio ' 
        ROLLBACK TRAN
        RETURN(1)
    END

	insert into sh_shippings (SITEID,TABLEID,DATEPROCE,USERID,filename ) 
	values (@SITEID,@IDTABLE,@fechaproceso,@usuario,@filename)

	IF (@@error!=0)
	   BEGIN
	        RAISERROR  20001 'no se puede grabar registro de envio'
	        ROLLBACK TRAN
	        RETURN(2)
	    END
    COMMIT TRAN
    RETURN(0)
go

SH_FLAGENVIOTRAN 'OP_SALES','57','020','20030205','SYSADMIN','DATEPROCESALES','xxx'

--DELETE SH_SHIPPINGS
SELECT * FROM SH_SHIPPINGS
